conduit-extra-1.1.15: Batteries included conduit: adapters for common libraries.

Safe Haskell | Safe
Language | Haskell98

Data.Conduit.Filesystem

Synopsis

- sourceDirectory :: MonadResource m => FilePath -> Producer m FilePath
- sourceDirectoryDeep :: MonadResource m => Bool -> FilePath -> Producer m FilePath

# Documentation

sourceDirectory :: MonadResource m => FilePath -> Producer m FilePath #

Stream the contents of the given directory, without traversing deeply.

This function will return all of the contents of the directory, whether they be files, directories, etc.

Note that the generated filepaths will be the complete path, not just the filename. In other words, if you have a directory `foo` containing files `bar` and `baz`, and you use `sourceDirectory` on `foo`, the results will be `foo/bar` and `foo/baz`.

Since 1.1.0

sourceDirectoryDeep #

Arguments

:: MonadResource m |
=> Bool | Follow directory symlinks
-> FilePath | Root directory
-> Producer m FilePath |

Deeply stream the contents of the given directory.

This works the same as `sourceDirectory`, but will not return directories at all. This function also takes an extra parameter to indicate whether symlinks will be followed.

Since 1.1.0